function MakeLink() {

  if (document.location.hostname!=="") {
    current_hostname=document.location.hostname;
  } else {
    current_hostname='localhost';
  }

  smc_link='https://'+current_hostname+':8080/';
  document.getElementById('smc_link').innerHTML=
    '<a href="'+smc_link+'">Центр управления системой</a>';

  cups_link='http://'+current_hostname+':631/';
  document.getElementById('cups_link').innerHTML=
    '<a href="'+cups_link+'">CUPS (настройка печати)</a>';

  moodle_link='http://'+current_hostname+'/moodle/';
  document.getElementById('moodle_link').innerHTML=
    '<a href="'+moodle_link+'">Moodle</a>';

  mediawiki_link='http://'+current_hostname+'/mediawiki/';
  document.getElementById('mediawiki_link').innerHTML=
    '<a href="'+mediawiki_link+'">MediaWiki</a>';
}
